#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"

TEST_CASE("emptyA") {
    std::vector<double>A{1,2,3,4};
    double min = 0;
    double max = 0;
    find_minmax(A, min, max);
    CHECK(A.size() !=0 );
}

TEST_CASE("min")
{
    std::vector<double>A{1,2,3,4};
    double min = 0;
    double max = 0;
    find_minmax(A, min, max);
    CHECK(min == 1);
}

TEST_CASE("max")
{
    std::vector<double>A{1,2,3,4};
    double min = 0;
    double max = 0;
    find_minmax(A, min, max);
    CHECK(max == 4);
}


TEST_CASE("1A") {
    std::vector<double>A{1,2,3,4};
    double min = 0;
    double max = 0;
    find_minmax(A, min, max);
    CHECK(A.size() !=1 );
}


TEST_CASE("same"){
    std::vector<double>A{1,1,1,1};
    std::vector<double>B{1,1,1,1};
    double min = 0;
    double max = 0;
    find_minmax(A, min, max);
    CHECK(A == B);
}

TEST_CASE("emt"){
        std::vector<double>A{};
        double min = 0;
        double max = 0;
        CHECK(find_minmax(A,min,max)==false);
}
